
.page__wrapp {
    padding: 26px 28px 0;
    --text-color-dark: #454545;
    --purple-color: #6C3CD4;
    --pink-color: #F2466F;
    display: grid;
    grid-template-columns: auto 300px;
    column-gap: 45px;
}
.page__header_main {
    font-weight: 900;
    font-size: 46px;
    line-height: 54px;
    font-family: 'Roboto-Bold', sans-serif;
    margin: 0 0 27px;
    color: var(--text-color-dark);
}

/* Broadcasting nav */
.broadcast__form {
    display: flex;
    align-items: center;
}
.broadcast__form > * + * {
    margin-left: 25px;
}
.form__group {
    display: flex;
    align-items: center;
}
.form__label {
    font-weight: 500;
    font-size: 18px;
    line-height: 21px;
    font-family: 'Roboto-Regular', sans-serif;
    color: var(--text-color-dark);
    margin: 0 12px 0 0;
    cursor: pointer;
}
.form__input {
    padding: 9px 16px;
    border-radius: 30px;
    border: 1px solid var(--purple-color);
    box-sizing: border-box;
    font-size: 18px;
    line-height: 21px;
    color: var(--text-color-dark);
    width: 100%;
    cursor: pointer;
}
.form__input:focus {
    outline: none;
}
.form__input_date {
    max-width: 140px;
    text-align: center;
}
.form__input_time {
    max-width: 80px;
}
.form__button {
    font-weight: 500;
    font-size: 18px;
    line-height: 21px;
    color: #fff;
    font-family: 'Roboto-Regular', sans-serif;
    padding: 9px 17px;
    border: none;
    background: var(--purple-color);
    box-shadow: 0px 0px 7px rgba(0, 0, 0, 0.2);
    border-radius: 30px;
}
.form__button:focus {
    outline: none;
}
/* Calendar */
.ui-widget {
    font-size: 0.8em !important; 
    margin-top: 5px;
}
.ui-datepicker-prev,
.ui-datepicker-next {
    position: absolute;
    height: 100%;
    width: 35px;
}
.ui-datepicker-prev {
    left: 0;
}
.ui-datepicker-next {
    right: 0;
}
.ui-datepicker .ui-datepicker-next span, 
.ui-datepicker .ui-datepicker-prev span {
    cursor: pointer;
}
.ui-datepicker-prev span {
    content: '';
}
.ui-datepicker .ui-datepicker-prev span,
.ui-datepicker .ui-datepicker-next span {
    color: transparent;
    margin: 0;
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translateX(-50%) translateY(-50%);
    font-size: 0;
    width: 12px;
    height: 100%;
}
.ui-datepicker .ui-datepicker-prev span {
    background: url(/design/images/img_for_design/angle__prev_ic.svg) no-repeat;
    background-position: center;
}
.ui-datepicker .ui-datepicker-next span {
    background: url(/design/images/img_for_design/angle__next_ic.svg) no-repeat;
    background-position: center;
}
.ui-datepicker .ui-datepicker-title,
.ui-timepicker-title.ui-widget-header.ui-helper-clearfix.ui-corner-all {
    font-size: 16px;
    font-family: 'Roboto-Regular', sans-serif;
    color: #fff;
}
.ui-datepicker .ui-datepicker-title {
    display: flex;
    align-items: center;
}
.ui-datepicker-calendar {
    width: 100%;
}
.ui-datepicker-calendar tr td {
    text-align: center;
}
.ui-datepicker th,
.periods {
    color: var(--text-color-dark);
    height: 33px;
    text-align: center;
}
.ui-timepicker-div,
.ui-timepicker-hours,
.ui-timepicker-minutes {
    border: 1px solid #aaa;
    background: #fff;
}
.ui-widget.ui-widget-content {
    border: none;
    background: #fff;
    width: 320px;
    height: 100%;
    max-height: 270px;
    border-radius: 10px 10px 0 0;
    z-index: 101 !important;
    box-shadow: 0 2px 4px rgba(0, 0, 0, .25);
}
.ui-widget-header {
    height: 35px;
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
    background: var(--purple);
    border-radius: 10px 10px 0 0;
}
.ui-datepicker-prev.ui-corner-all.ui-state-hover.ui-datepicker-prev-hover,
.ui-datepicker-next.ui-corner-all.ui-state-hover.ui-datepicker-next-hover {
    background-color: transparent;
    border: transparent;
}
.ui-button, 
.ui-state-default, 
.ui-widget-content .ui-state-default, 
.ui-widget-header .ui-state-default, 
html .ui-button.ui-state-disabled:active, 
html .ui-button.ui-state-disabled:hover {
    font-weight: 400;
    color: var(--text-color-dark);
    height: 30px;
    width: 40px;
    border-radius: 4px;
    font-size: 16px;
    border: transparent;
    display: flex;
    background: #f6f6f6;
    justify-content: center;
    align-items: center;
    margin: 2px !important;
}
.ui-state-default {
    font-family: 'Roboto-Regular', sans-serif;
}
.ui-widget-content .ui-state-disabled {
    opacity: .35;
}
.ui-state-highlight, 
.ui-widget-content .ui-state-highlight, 
.ui-widget-header .ui-state-highlight,
.ui-state-default.ui-state-highlight.ui-state-active,
.ui-state-default.ui-state-active,
.ui-state-default.ui-state-hover {
    background: rgba(0, 0, 0, .5);
    color: #fff;
}
.ui-widget-content .ui-state-hover {
    color: #fff;
    background: rgba(0, 0, 0, .5);
}
.ui-state-default.ui-state-highlight {
    background-color: #eee;
    color: var(--text-color-dark);
}
.periods {
    display: none;
}
/* Calendar */

/* Broadcasting nav */

/* Broadcast history content */
.broadcast__content {
    margin-top: 40px;
}
.broadcast__row:not(:last-child) {
    border-bottom: 1px solid #E8E8E8;
}
.cover__wrapp {
    position: relative;
    margin: 8px 0;
}
.broadcast__player_wrapp {
    position: absolute;
    left: 0;
    top: 0;
    right: 0;
    bottom: 0;
    
    justify-content: center;
    align-items: center;
    background: rgba(0,0,0,.3);
    backdrop-filter: blur(1px);
    display: none;
}
.player__button {
    width: 34px!important;
    height: 34px!important;
    background: transparent url(/design/images/img_for_design/re_design/track_button_play_ic.svg) no-repeat;
    background-position: center;
    background-size: contain;
    border: none;
}
.player__button.stop {
    background: transparent url(/design/images/img_for_design/re_design/track_button_pause_ic.svg) no-repeat;
    background-position: center;
    background-size: contain;
}

.player__button.pause {
    background: transparent url(/design/images/img_for_design/re_design/track_button_pause_ic.svg) no-repeat;
    background-position: center;
    background-size: contain;
}

.player__button:focus,
.player__button:active {
    box-shadow: 0px 0px 11px 0px #673ab7;
    outline: none;
    border-radius: 50%;
}
.broadcast__cover_column:hover .broadcast__player_wrapp {
    display: flex;
}
.broadcast__cover {
    max-width: 100%;
    object-fit: cover;
}
.broadcast__description_column {
    padding: 0 30px;
}
.broadcast__executor_name {
    font-weight: bold;
    font-size: 18px;
    line-height: 21px;
    color: var(--purple-color);
    font-family: 'Roboto-Bold', sans-serif;
    margin-bottom: 5px;
}
.broadcast__executor_link,
.broadcast__executor_link:hover {
    color: inherit;
}
.broadcast__track-name,
.broadcast__time,
.broadcast__notification {
    font-size: 18px;
    line-height: 21px;
    color: var(--text-color-dark);
    font-family: 'Roboto-Regular', sans-serif;
}
.broadcast__votes_column {
    padding-left: 50px;
}
.votes__wrapp {
    display: flex;
    justify-content: flex-start;
    align-items: center;
}
.like-block__img {
    margin-right: 9px;
}
.like-block__img:hover {
    cursor: pointer;
}
.like-block__img svg {
    pointer-events: none;
}
.voted svg path,
.like-block__img:hover svg path {
    fill: var(--pink-color);
}
.like-block__count {
    font-size: 18px;
    line-height: 21px;
    color: var(--pink-color);
    font-family: 'Roboto-Regular', sans-serif;
}
/* Broadcast history content */

/* Promotion aside */
.promo__wrapp {
    position: sticky;
    -webkit-position: sticky;
    top: 100px;
}



/* Promotion aside */
@media screen and (max-width: 768px) {
    .page__wrapp {
        display: block;
    }
    .page__promo_section {
        display: none;
    }
}
@media screen and (max-width: 429px) {
    .page__wrapp {
        padding: 15px 15px 0;
    }
    .page__header_main {
        font-size: 24px;
        line-height: 34px;
        margin: 0 0 20px;
    }
    .broadcast__form {
        display: grid;
        grid-template-columns: 1fr 1fr;
        align-items: center;
        row-gap: 20px;
        column-gap: 10px;
    }
    .broadcast__form > * + * {
        margin: 0;
    }
    .form__group {
        justify-content: center;
    }
    .form__label {
        font-size: 16px;
        line-height: 18px;
        margin: 0 6px 0 0;
    }
    .form__button {
        grid-column-end: span 2;
        justify-self: center;
        padding: 9px 45px;
    }
    
    .broadcast__description_column {
        padding: 0 10px;
    }
    .broadcast__votes_column {
        padding-left: 10px;
    }
    .broadcast__executor_name,
    .broadcast__time,
    .broadcast__track-name {
        font-size: 1rem;
        line-height: 19px;
    }
    .ui-button, 
    .ui-state-default, 
    .ui-widget-content .ui-state-default, 
    .ui-widget-header .ui-state-default, 
    html .ui-button.ui-state-disabled:active, 
    html .ui-button.ui-state-disabled:hover {
        height: 25px;
        width: 35px;
        font-size: 14px;
    }
}
@media screen and (max-width: 321px) {
    .form__input {
        padding: 5px 10px 7px;
        font-size: 16px;
        line-height: 19px;
        text-align: center;
    }
}